@echo off
setlocal

:rad
REM The root directory of your Eclipse/RAD installation
if defined ECLIPSE_HOME goto plugins
set ECLIPSE_HOME=C:\Program Files\IBM\SDP
echo ECLIPSE_HOME is not set, defaulting to: %ECLIPSE_HOME%

:plugins
REM Checks to see if ECLIPSE_HOME points to a valid directory
if not exist "%ECLIPSE_HOME%" (
	echo %ECLIPSE_HOME% does not exist. Please set the ECLIPSE_HOME to the eclipse installation directory
	goto done
)

REM the directory that contains the eclipse plugins.
if defined ECLIPSE_PLUGINS_HOME goto java
set ECLIPSE_PLUGINS_HOME=%ECLIPSE_HOME%\plugins

:java
if defined JAVA_HOME goto run
set JAVA_HOME=%ECLIPSE_HOME%\jdk

:run
REM Checks to see if JAVA_HOME points to a valid directory
if not exist "%JAVA_HOME%" (
	echo %JAVA_HOME% does not exist. Please set the JAVA_HOME to the java installation directory.
	goto done
)

REM get path to equinox jar inside ECLIPSE_PLUGINS_HOME folder
 for /f "delims= tokens=1" %%c in ('dir /B /S /OD "%ECLIPSE_PLUGINS_HOME%\org.eclipse.equinox.launcher_*.jar"') do set EQUINOXJAR=%%c

"%JAVA_HOME%\bin\java" -cp "%EQUINOXJAR%" org.eclipse.equinox.launcher.Main -application com.ibm.rational.llc.engine.instrumentation %*
@if %ERRORLEVEL% EQU 0 goto done
@if %ERRORLEVEL% EQU 13 echo Instrumentation FAILED.
@if %ERRORLEVEL% EQU 13 goto pause
@if %ERRORLEVEL% EQU 15 goto pause
:pause
@pause

:done